-- 这是聚光灯控制脚本，用lua 5.2.x语言编写。聚光灯介绍形式是枫传网络独创的软件介绍方式。通过将软件界面雾化为背景，并用聚光灯突显要介绍的部分，配合文字说明，对软件进行介绍。您可以按照提示修改此脚本。
-- 下面为文件信息，除CodePage外，其它项目请不要修改。
Application = "GTalkabout"
Version = "1.1"
ScriptType = "tutorial"
CodePage = 936	-- 简体中文，如果您将此脚本翻译为其他语种，请修改为该语种对应的代码页，否则，请不要修改。

-- 下面为介绍文字，是markdown格式文本。您可以将其翻译为其它语种或进行修改，请不要修改圆括号内的文字。

Default_text = [[
无效向导
===
这是向导出错的提示消息


[关闭向导](close)
]]

ApplicationError_text = [[
无效向导
===
这不是极客讨论器的lua脚本文件


[关闭向导](close)
]]

VersionError_text = [[
无效向导
===
这是极客讨论器更高版本的向导文件，请从 [官网下载最新版](http://www.gtalkabout.com/Download.htm)


[关闭向导](close)
]]

ScriptTypeError_text = [[
无效向导
===
这不是极客讨论器的向导文件


[关闭向导](close)
]]

-- 下面为聚光灯流程控制，请不要修改！
function ControlValueIterator(ControlTable)
	local iIndex = 0

	return function()
		iIndex = iIndex + 1;
		local ControlValue = ControlTable[iIndex];

		if type(ControlValue) == "string" then
			return ControlValue, "";
		elseif type(ControlValue) == "table" then
			local Control, Value = ControlValue[1], ControlValue[2];

			if type(Control) == "string" then
				if type(Value) == "string" then
					return Control, Value;
				else
					return Control, "";
				end
			else
				return nil;
			end
		else
			return nil;
		end
	end
end

function ChangeSpotlights(ControlTable)
	local Iter = ControlValueIterator(ControlTable);
	local Control, Value = Iter();

	if Control == "application_error" then
		return {}, ApplicationError_text;
	elseif Control == "version_error" then
		return {}, VersionError_text;
	elseif Control == "script_type_error" then
		return {}, ScriptTypeError_text;
	elseif Control == "close" then
		return {}, "";
	else
		return {}, Default_text;
	end
end
